Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transformer.wire
Class TransformerPairWireFormat

    java.lang.Object
      org.mule.transformer.wire.TransformerPairWireFormat

All Implemented Interfaces:
  MuleContextAware, WireFormat

Direct Known Subclasses:
  SerializationWireFormat, SerializedMuleMessageWireFormat, XStreamWireFormat

    public class TransformerPairWireFormat

extends Object
implements WireFormat

A pairing of an outbound transformer and an inbound transformer that can be used to serialize and deserialize data. THis is used when marshalling requests over the wire. IN Mule the MuleClient RemoteDispatcher uses wire formats to communicate with the server.

Field Summary
`protected Transformer` | `inboundTransformer`
`protected Log` | `logger` logger used by this class
`protected MuleContext` | `muleContext`
`protected Transformer` | `outboundTransformer`

Constructor Summary
`TransformerPairWireFormat()`

Method Summary
`Transformer` | `getInboundTransformer()`
`Transformer` | `getOutboundTransformer()`
`Object` | `read(InputStream in)`
`void` | `setInboundTransformer(Transformer inboundTransformer)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setOutboundTransformer(Transformer outboundTransformer)`
`void` | `write(OutputStream out, Object o, String encoding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

  logger used by this class

### inboundTransformer

    protected Transformer inboundTransformer

### outboundTransformer

    protected Transformer outboundTransformer

### muleContext

    protected MuleContext muleContext

Constructor Detail

### TransformerPairWireFormat

    public TransformerPairWireFormat()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### read

    public Object read(InputStream in)
                throws MuleException

  Specified by:
    `read` in interface `WireFormat`
  Throws:
    `MuleException`

### write

    public void write(OutputStream out,
                      Object o,
                      String encoding)
               throws MuleException

  Specified by:
    `write` in interface `WireFormat`
  Throws:
    `MuleException`

### getInboundTransformer

    public Transformer getInboundTransformer()

### setInboundTransformer

    public void setInboundTransformer(Transformer inboundTransformer)

### getOutboundTransformer

    public Transformer getOutboundTransformer()

### setOutboundTransformer

    public void setOutboundTransformer(Transformer outboundTransformer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.